Bug 21285 - Select2 broken on high dpi screens
Summary: Select2 broken on high dpi screens
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Owen Leonard
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-29 16:45 UTC by Tomás Cohen Arazi
Modified: 2018-09-20 14:06 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21285: Add missing select2x2.png file (2.37 KB, patch)
2018-08-29 16:49 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21285: Add missing select2x2.png file (2.43 KB, patch)
2018-08-31 16:10 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 21285: Add missing select2x2.png file (2.51 KB, patch)
2018-09-12 22:57 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-08-29 16:45:40 UTC
When the use of the Select2 jquery plugin was introduced, a .png file that is used on high dpi screens was ommited. Steps to reproduce:

- On a high DPI screen (retina mac?)
- Edit an item
=> FAIL: dropdowns using Select2 (like 'Shelving location') don't display the icons (down arrow and cross) and a default value is wrongly selected
=> FAIL: the inspector says the requested select2x2.png file returned a 400 error.

Note: I only reproduced this on current Chrome and Safari, and not on current Firefox.
Comment 1 Tomás Cohen Arazi 2018-08-29 16:49:42 UTC
Created attachment 78273 [details] [review]
Bug 21285: Add missing select2x2.png file

This file is part of the Select2 jquery plugin, but wasn't added when
the use of the plugin was introduced in Koha.

To test:
- On a high DPI screen (retina mac?) on Chrome or Safari
- Edit an item
=> FAIL: dropdowns using Select2 (like 'Shelving location') don't display the icons (down arrow and cross) and a default value is wrongly selected
=> FAIL: the inspector says the requested select2x2.png file returned a 400 error.
- Apply this patch
- Reload the edit page
=> SUCCESS: Things display correctly! Dropdowns without selected values
by default!
=> SUCCESS: No errors fetching select2x2.png
- Sign off :-D
Comment 2 Jesse Maseto 2018-08-31 16:10:13 UTC
Created attachment 78333 [details] [review]
Bug 21285: Add missing select2x2.png file

This file is part of the Select2 jquery plugin, but wasn't added when
the use of the plugin was introduced in Koha.

To test:
- On a high DPI screen (retina mac?) on Chrome or Safari
- Edit an item
=> FAIL: dropdowns using Select2 (like 'Shelving location') don't display the icons (down arrow and cross) and a default value is wrongly selected
=> FAIL: the inspector says the requested select2x2.png file returned a 400 error.
- Apply this patch
- Reload the edit page
=> SUCCESS: Things display correctly! Dropdowns without selected values
by default!
=> SUCCESS: No errors fetching select2x2.png
- Sign off :-D

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 3 Jonathan Druart 2018-09-12 22:57:06 UTC
No regression on a non-high dpi screen
Comment 4 Jonathan Druart 2018-09-12 22:57:27 UTC
Created attachment 78616 [details] [review]
Bug 21285: Add missing select2x2.png file

This file is part of the Select2 jquery plugin, but wasn't added when
the use of the plugin was introduced in Koha.

To test:
- On a high DPI screen (retina mac?) on Chrome or Safari
- Edit an item
=> FAIL: dropdowns using Select2 (like 'Shelving location') don't display the icons (down arrow and cross) and a default value is wrongly selected
=> FAIL: the inspector says the requested select2x2.png file returned a 400 error.
- Apply this patch
- Reload the edit page
=> SUCCESS: Things display correctly! Dropdowns without selected values
by default!
=> SUCCESS: No errors fetching select2x2.png
- Sign off :-D

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Nick Clemens 2018-09-14 19:58:39 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-09-17 13:14:41 UTC
Pushed to 18.05.x for 18.05.04
Comment 7 Fridolin SOMERS 2018-09-20 14:06:02 UTC
Pushed to 17.11.x for 17.11.10